# Get voice by ID

`GET https://www.getrevox.com/api/voices/{id}`

Retrieve details for a single voice by its unique ID and provider.

## Path parameters

- `id` (string, required): The voice ID to get.

## Query parameters

- `provider` (enum (string), required): One of: `cartesia`, `elevenlabs`, `gradium`.

## Example request

```bash
curl -X GET https://www.getrevox.com/api/voices/3c90c3cc-0d44-4b50-8888-8dd25736052a \
  -H "Authorization: Bearer $REVOX_API_KEY"
```

## Responses

### 200: Success

- `voice` (object, required)
  - `id` (string, required)
  - `name` (string, required)
  - `description` (string, optional)
  - `language` (enum (string), required): The language of the voice. One of: `en`, `fr`, `es`, `de`, `it`, `pt`, `ru`, `zh`.

### 404: Not found in your organization

- `message` (string, optional)
- `error` (string, optional)
- `bodyErrors` (object, optional): The validation errors returned from the API.
  - `issues` (array of object, required)
    - `path` (array of one of, required)
      - One of, **string** (string)
      - One of, **number** (number)
    - `message` (string, required)
    - `code` (string, optional)